%define ver     5.0.0
# update qtver here and QTVER in Makefile
%define qtver	 4.2.3

Summary: LSB Build environment qt package
Name: lsb-build-qt4
Version: %ver
Release: 1
License: LGPL
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-build-qt4-%ver.tar.gz
Source1: qt-x11-opensource-src-%qtver.tar.gz
BuildRoot: /var/tmp/lsb-build-qt4-root
AutoReqProv: no
# Does not strictly require lsb
Requires: lsb >= 3.1
Requires: lsb-build-base lsb-build-desktop lsb-build-qt3 lsb-build-c++
Obsoletes: lsbdev-qt
BuildRequires: lsb-build-base lsb-build-cc lsb-build-c++

%description
This package provides LSB qt building support for the
lsb-build packages.  It adds LSB qt headers.

%prep
%setup -q
tar xzf %{SOURCE1}

%build
cd qt-x11-opensource-src-%qtver
patch -p0 < ../qt-x11-opensource-src-4.2.3-ppc64.patch
patch -p0 < ../qt-x11-opensource-src-4.2.3.patch
patch -p1 < ../qt-x11-opensource-src-4.2.3-endian.patch
patch -p1 < ../qt-x11-opensource-src-4.2.3-fpermissive.patch

./configure \
	--prefix=/opt/lsb \
	-release \
	-platform linux-lsb \
	-no-rpath \
	-no-xcursor \
	-no-xfixes \
	-no-xinerama \
	-no-xrandr \
	-no-xshape \
	-confirm-license

IMAGE=$(pwd)/image
cd src/
for x in corelib gui network opengl sql svg xml; do 
	if [ ! -e "$x/Makefile" ]; then
            echo "No such file: $x/Makefile"
            exit 1
        fi
	cd $x
	# strip dependencies from target headers so we can install them without building anything
        sed -e 's/^install_targ_headers:.*/install_targ_headers:/' Makefile>Makefile.lsb
	make -f Makefile.lsb install_targ_headers INSTALL_ROOT="$IMAGE"
	cd ../
done

# build the moc, rcc, and uic tools
cd tools
for i in moc rcc uic; do
	make -C $i
done

# and some more tools
cd ../../tools
for i in linguist/lrelease linguist/lupdate; do
	make -C $i
done

%install
#rm -rf $RPM_BUILD_ROOT

# install the qmake tool
cd qt-x11-opensource-src-%qtver
mkdir -p $RPM_BUILD_ROOT/opt/lsb/bin
make install_mkspecs INSTALL_ROOT=$RPM_BUILD_ROOT

# install the moc, rcc, and uic tools
cp bin/qmake $RPM_BUILD_ROOT/opt/lsb/bin/qmake_lsb_qt4
cp bin/moc $RPM_BUILD_ROOT/opt/lsb/bin/moc_lsb_qt4
cp bin/uic $RPM_BUILD_ROOT/opt/lsb/bin/uic_lsb_qt4
cp bin/lrelease $RPM_BUILD_ROOT/opt/lsb/bin/lrelease_lsb_qt4
cp bin/lupdate $RPM_BUILD_ROOT/opt/lsb/bin/lupdate_lsb_qt4
cp bin/rcc $RPM_BUILD_ROOT/opt/lsb/bin/

ln -s qmake_lsb_qt4 $RPM_BUILD_ROOT/opt/lsb/bin/qmake-qt4
ln -s moc_lsb_qt4 $RPM_BUILD_ROOT/opt/lsb/bin/moc-qt4
ln -s uic_lsb_qt4 $RPM_BUILD_ROOT/opt/lsb/bin/uic-qt4
ln -s lrelease_lsb_qt4 $RPM_BUILD_ROOT/opt/lsb/bin/lrelease-qt4
ln -s lupdate_lsb_qt4 $RPM_BUILD_ROOT/opt/lsb/bin/lupdate-qt4

cd ..
mkdir -p $RPM_BUILD_ROOT/opt/lsb/include
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-qt4
cp -rLpf qt-x11-opensource-src-%qtver/image/opt/lsb/include/Qt{Core,Gui,Network,OpenGL,S{ql,vg},Xml} $RPM_BUILD_ROOT/opt/lsb/include/
cp README GPL Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-qt4
cp uic qmake moc lrelease lupdate $RPM_BUILD_ROOT/opt/lsb/bin/

#copy linux-lsb mkspecs
cp -rpf linux-lsb $RPM_BUILD_ROOT/opt/lsb/mkspecs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/*
%dir /opt/lsb/doc/lsb-build-qt4
/opt/lsb/doc/lsb-build-qt4/*
%dir /opt/lsb/include/Qt*
/opt/lsb/include/Qt*/*
/opt/lsb/mkspecs/*

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- be specific with %%files list
